%define typelibnames DBus-1.0 DBusGLib-1.0 GIRepository-2.0 GL-1.0 GLib-2.0 GModule-2.0 GObject-2.0 Gio-2.0 cairo-1.0 fontconfig-2.0 freetype2-2.0 libxml2-2.0 xfixes-4.0 xft-2.0 xlib-2.0 xrandr-1.3

%define url_ver %(echo %{version}|cut -d. -f1,2)

%bcond_with bootstrap

%define api 1.0
%define major 1
%define libname %mklibname girepository %{api} %{major}
%define devname %mklibname girepository -d

Summary:	GObject Introspection
Name:		gobject-introspection
Version:	1.54.1
Release:	1
License:	GPLv2+, LGPLv2.1+, MIT
Group:		Development/C
Url:		http://live.gnome.org/GObjectIntrospection
Source0:	http://ftp.acc.umu.se/pub/GNOME/sources/gobject-introspection/%{url_ver}/%{name}-%{version}.tar.xz
# gi-find-deps.sh is a rpm helper for Provides and Requires. Script creates typelib()-style Provides/Requires.
Source1:	gi-find-deps.sh
Source2:	typelib.macros
Source3:	gobject-introspection-typelib.template
# PATCH-FIX-UPSTREAM g-ir-dep-tool.patch bgo#665672 dimstar@opensuse.org -- Add g-ir-dep-tool to get further automatic dependencies.
Patch0:		g-ir-dep-tool.patch

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
# this could be removed if the typelib stuff is backported
BuildRequires:	rpm >= 5.4.7-14
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(python)
BuildRequires:	python-mako
# these are needed by the g-ir-dep-tool
%if %{without bootstrap}
BuildRequires:	gobject-introspection >= 1.32.0-2
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.32.0
%endif

Requires:	%{libname} = %{EVRD}
Conflicts:	%mklibname girepository 1.0 0 < 0.6.10-5
%rename		gir-repository

# Provide typelib() symbols based on gobject-introspection-typelib.template
# The template is checked during install if it matches the installed *.typelib files.
%if %{with bootstrap}
%(cat %{SOURCE3} | awk '{ print "Provides: " $0}')
%endif

%description
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

%files
%doc README
%dir %{_libdir}/girepository-%{api}
%{_libdir}/girepository-%{api}/*.typelib

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	GObject Introspection shared library
Group:		System/Libraries
Conflicts:	%{name} < 0.6.8-2

%description -n %{libname}
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

%files -n %{libname}
%{_libdir}/libgirepository-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	GObject Introspection development libraries
Group:		Development/C
# these two pkgs are needed for typelib requires generation
Requires:	%{name} = %{EVRD}
Requires:	%{libname} = %{EVRD}
#gw /usr/bin/libtool is called in giscanner
Requires:	libtool
Requires:	python-mako
Provides:	libgirepository-devel = %{EVRD}
Provides:	girepository-devel = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

%files -n %{devname}
%doc ChangeLog TODO NEWS AUTHORS
%{_bindir}/g-ir-annotation-tool
%{_bindir}/g-ir-compiler
%{_bindir}/g-ir-dep-tool
%{_bindir}/g-ir-generate
%{_bindir}/g-ir-inspect
%{_bindir}/g-ir-scanner
%{_bindir}/g-ir-doc-tool
%{_libdir}/%{name}
%{_libdir}/libgirepository-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}-%{api}
%{_datadir}/aclocal/*.m4
%{_datadir}/%{name}-%{api}
#%{_datadir}/gtk-doc/html/gi
%dir %{_datadir}/gir-%{api}
%{_datadir}/gir-%{api}/*.gir
%{_datadir}/gir-%{api}/gir-1.2.rnc
%{_rpmhome}/gi-find-deps.sh
%{_rpmhome}/macros.d/typelib
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--disable-static

%make V=1

%install
%makeinstall_std
install -D %{SOURCE1} %{buildroot}%{_rpmhome}/gi-find-deps.sh
install -D %{SOURCE2} -m 0644 %{buildroot}%{_rpmhome}/macros.d/typelib

# comparing, if we provide all the symbols expected.
%if %{with bootstrap}
ls %{buildroot}%{_libdir}/girepository-1.0/*.typelib | sh %{SOURCE1} -P > gobject-introspection-typelib.installed
diff -s %{SOURCE3} gobject-introspection-typelib.installed
%endif


%changelog

* Thu Feb 08 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.54.1-1
- (cd1f1d0) New version 1.54.1
- (cd1f1d0) Update files

* Sat Sep 02 2017 tremod <negry.m@yandex.ru> 1.52.1-1
- (77b140d) Update to 1.52.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.50.0-4
- (b1804bf) MassBuild#1230: Increase release tag

* Mon Nov 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.50.0-3
- (63b5814) Development package should require python-mako

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.50.0-2
- (b332d45) MassBuild#1169: Increase release tag

* Thu Sep 29 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.50.0-1
- (1741b43) Update files (add g-ir-inspect binary)
- (Andrey Bondrov: 46be9bf) New version 1.50.0

* Tue Mar 24 2015 Tigro <ashejn@yandex-team.ru> 1.44.0-1
- (d9d5d2f) update to 1.44.0

* Tue Mar 17 2015 Tigro <ashejn@gmail.com> 1.43.92-1
- (5bfb964) update to 1.43.92

* Sun Mar 08 2015 Tigro <ashejn@gmail.com> 1.43.91-1
- (23a6dea) update to 1.43.91

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 1.40.0-5
- (033aa97) MassBuild#656: Increase release tag

* Thu Jan 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.40.0-4
- (7561b35) Spec cleanup

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.40.0-3
- (6ebc098) MassBuild#440: Increase release tag

* Tue Jun 24 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.40.0-2
- (c6be225) Bump release

* Tue May 27 2014 Tigro <ashejn@gmail.com> 1.40.0-1
- (05743de) drop check
- (Tigro: ea3d799) pack all gir and typelib
- (Tigro: 5c8bca6) back autoreconf
- (Tigro: bffa766) added BR: automake
- (Tigro: df911d0) do not call autoreconf
- (Tigro: 981106d) update to 1.40.0

* Fri Jun 28 2013 Tigro <ashejn@gmail.com> 1.36.0-2
- (1bb7618) bump release

* Fri Jun 28 2013 Tigro <ashejn@gmail.com> 1.36.0-1
- (feb6bea) update gi-find-deps.sh from openSUSE
- (root: d487ed4) sync to gnome38 branch

* Tue Nov 20 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.34.2-1
- (d3d227c) automatic rebuilder testing

* Mon Oct 29 2012 mdawkins <mattydaw@gmail.com> 1.34.1.1-1
- (eb5d65c) new version 1.34.1.1

* Tue Oct 02 2012 Arkady L. Shane <arkady.shane@rosalab.ru> 1.34.0-1
- (f52a0e6) update to 1.34.0

* Fri Aug 03 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.32.1-3
- (ab7fe46) Drop .la

* Wed Jun 27 2012 root <root@localhost.localdomain> 1.32.1-2
- (b40b163) added la

* Tue May 08 2012 Rosa <rosa@rosa-build.rosalab.ru> 1.32.1-1
- (2018414) Automatic import for version 1.32.1

* Wed Apr 04 2012 Rosa <rosa@rosa-build.rosalab.ru> 1.32.0-1
- (ccc5c40) Automatic import for version 1.32.0


